## com.icl.saxon.aelfred
Class SAXParserImpl

    java.lang.Object
      javax.xml.parsers.SAXParser
          com.icl.saxon.aelfred.SAXParserImpl

public class SAXParserImpl
extends SAXParser

Constructor Summary
`SAXParserImpl()`

Method Summary
`org.xml.sax.Parser` `getParser()` Returns the SAX parser that is encapsultated by the implementation of this class.
`java.lang.Object` `getProperty(java.lang.String name)` Returns the particular property requested for in the underlying implementation of `XMLReader`.
`org.xml.sax.XMLReader` `getXMLReader()` Returns the `XMLReader` that is encapsulated by the implementation of this class.
`boolean` `isNamespaceAware()` Indicates whether or not this parser is configured to understand namespaces.
`boolean` `isValidating()` Indicates whether or not this parser is configured to validate XML documents.
`void` `setProperty(java.lang.String name, java.lang.Object value)` Sets the particular property in the underlying implementation of `XMLReader`.

Methods inherited from class javax.xml.parsers.SAXParser
`getSchema, isXIncludeAware, parse, parse, parse, parse, parse, parse, parse, parse, parse, parse, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParserImpl

    public SAXParserImpl()

Method Detail

### getParser

    public org.xml.sax.Parser getParser()
                                 throws org.xml.sax.SAXException

  Description copied from class: `SAXParser`
  Returns the SAX parser that is encapsultated by the implementation of this class.

  Specified by:
    `getParser` in class `SAXParser`
  Returns:
    The SAX parser that is encapsultated by the implementation of this class.
  Throws:
    `org.xml.sax.SAXException` - If any SAX errors occur during processing.

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  Description copied from class: `SAXParser`

  Returns the particular property requested for in the underlying implementation of `XMLReader`.

  Specified by:
    `getProperty` in class `SAXParser`
  Parameters:
    `name` - The name of the property to be retrieved.
  Returns:
    Value of the requested property.
  Throws:
    `org.xml.sax.SAXNotSupportedException` - When the underlying XMLReader recognizes the property name but doesn't support the property.
    `org.xml.sax.SAXNotRecognizedException` - When the underlying XMLReader does not recognize the property name.
  See Also:
    `XMLReader.getProperty(java.lang.String)`

### getXMLReader

    public org.xml.sax.XMLReader getXMLReader()

  Description copied from class: `SAXParser`
  Returns the `XMLReader` that is encapsulated by the implementation of this class.

  Specified by:
    `getXMLReader` in class `SAXParser`
  Returns:
    The XMLReader that is encapsulated by the implementation of this class.

### isNamespaceAware

    public boolean isNamespaceAware()

  Description copied from class: `SAXParser`
  Indicates whether or not this parser is configured to understand namespaces.

  Specified by:
    `isNamespaceAware` in class `SAXParser`
  Returns:
    true if this parser is configured to understand namespaces; false otherwise.

### isValidating

    public boolean isValidating()

  Description copied from class: `SAXParser`
  Indicates whether or not this parser is configured to validate XML documents.

  Specified by:
    `isValidating` in class `SAXParser`
  Returns:
    true if this parser is configured to validate XML documents; false otherwise.

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Description copied from class: `SAXParser`

  Sets the particular property in the underlying implementation of `XMLReader`. A list of the core features and properties can be found at http://sax.sourceforge.net/?selected=get-set.

  Specified by:
    `setProperty` in class `SAXParser`
  Parameters:
    `name` - The name of the property to be set.
    `value` - The value of the property to be set.
  Throws:
    `org.xml.sax.SAXNotSupportedException` - When the underlying XMLReader recognizes the property name but doesn't support the property.
    `org.xml.sax.SAXNotRecognizedException` - When the underlying XMLReader does not recognize the property name.
  See Also:
    `XMLReader.setProperty(java.lang.String, java.lang.Object)`